com.sap.ecm.api

## Enum RepositoryOptions.Visibility

- java.lang.Object
- - java.lang.Enum<RepositoryOptions.Visibility>
  - - com.sap.ecm.api.RepositoryOptions.Visibility

- All Implemented Interfaces:
    Serializable, Comparable<RepositoryOptions.Visibility>
  Enclosing class:
    RepositoryOptions

      public static enum RepositoryOptions.Visibility
      extends Enum<RepositoryOptions.Visibility>

  Specifies the repository visibility level. This options should be carefully considered as it directly impacts the visibility and isolation of the repository.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CERTPROTECTED` A CERTPROTECTED repository can only be accessed with a valid certificate.
    `PRIVATE` A private repository is visible only to the application which created the repository.
    `PROTECTED` A protected repository is secured with an authentication key, that is provided by the application.
    `PUBLIC` A public repository is not protected and can be accessed from all applications that know the unique name or id of the repository.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RepositoryOptions.Visibility` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RepositoryOptions.Visibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIVATE

          public static final RepositoryOptions.Visibility PRIVATE

      A private repository is visible only to the application which created the repository. All other applications cannot access this repository. Note: PRIVATE repositories are not supported yet!

    - #### PROTECTED

          public static final RepositoryOptions.Visibility PROTECTED

      A protected repository is secured with an authentication key, that is provided by the application. All applications that know this authentication key can access this repository.

    - #### CERTPROTECTED

          public static final RepositoryOptions.Visibility CERTPROTECTED

      A CERTPROTECTED repository can only be accessed with a valid certificate. Note: CERTPROTECTED repositories are not intended for public use and unsupported.

    - #### PUBLIC

          public static final RepositoryOptions.Visibility PUBLIC

      A public repository is not protected and can be accessed from all applications that know the unique name or id of the repository. Note: PUBLIC repositories are not supported yet!

  - ### Method Detail

    - #### values

          public static RepositoryOptions.Visibility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepositoryOptions.Visibility c : RepositoryOptions.Visibility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepositoryOptions.Visibility valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018 SAP. All Rights Reserved.